spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dongjoon Hyun <dongjoon.h...@gmail.com>
Subject Re: Apache Spark 2.2.3 ?
Date Wed, 09 Jan 2019 06:06:25 GMT
Great! Thank you, Takeshi! :D

Bests,
Dongjoon.

On Tue, Jan 8, 2019 at 8:47 PM Takeshi Yamamuro <linguin.m.s@gmail.com>
wrote:

> If there is no other volunteer for the release of 2.3.3, I'd like to.
>
> best,
> takeshi
>
> On Fri, Jan 4, 2019 at 11:49 AM Dongjoon Hyun <dongjoon.hyun@gmail.com>
> wrote:
>
>> Thank you, Sean!
>>
>> Bests,
>> Dongjoon.
>>
>>
>> On Thu, Jan 3, 2019 at 2:50 PM Sean Owen <srowen@gmail.com> wrote:
>>
>>> Yes, that one's not going to be back-ported to 2.3. I think it's fine to
>>> proceed with a 2.2 release with what's there now and call it done.
>>> Note that Spark 2.3 would be EOL around September of this year.
>>>
>>> On Thu, Jan 3, 2019 at 2:31 PM Dongjoon Hyun <dongjoon.hyun@gmail.com>
>>> wrote:
>>>
>>>> Thank you for additional support for 2.2.3, Felix and Takeshi!
>>>>
>>>>
>>>> The following is the update for Apache Spark 2.2.3 release.
>>>>
>>>> For correctness issues, two more patches landed on `branch-2.2`.
>>>>
>>>>       SPARK-22951 fix aggregation after dropDuplicates on empty
>>>> dataframes
>>>>       SPARK-25591 Avoid overwriting deserialized accumulator
>>>>
>>>> Currently, if we use the following JIRA search query, there exist one
>>>> JIRA issue; SPARK-25206.
>>>>
>>>>       Query: project = SPARK AND fixVersion in (2.3.0, 2.3.1, 2.3.2,
>>>> 2.3.3, 2.4.0, 2.4.1, 3.0.0) AND fixVersion not in (2.2.0, 2.2.1, 2.2.2,
>>>> 2.2.3) AND affectedVersion in (2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.2.0, 2.2.1,
>>>> 2.2.2, 2.2.3) AND labels in (Correctness, correctness)
>>>>
>>>> SPARK-25206 ( https://issues.apache.org/jira/browse/SPARK-25206 ) has
>>>>
>>>>       Affected Version: 2.2.2, 2.3.1
>>>>       Target Versions: 2.3.2, 2.4.0
>>>>       Fixed Version: 2.4.0
>>>>
>>>> Although SPARK-25206 is labeled as a correctness issue, 2.3.2 already
>>>> missed it due to the technical difficulties and risks. Instead, it's marked
>>>> as a known issue. As we see, it's not targeted to 2.3.3, too.
>>>>
>>>> I know the correctness issue policy on new releases. However, for me,
>>>> Spark 2.2.3 is a little bit exceptional release since it's a farewell
>>>> release and branch-2.2 is already EOL and too far from the active branch
>>>> master.
>>>>
>>>> So, I'd like to put SPARK-25206 out of the scope of the farewell
>>>> release and recommend the users to use the other latest release. For
>>>> example, Spark 2.4.0 for SPARK-25206.
>>>>
>>>> How do you think about that?
>>>>
>>>> Bests,
>>>> Dongjoon.
>>>>
>>>>>
>>>>>
>
> --
> ---
> Takeshi Yamamuro
>

Mime
View raw message